namespace CMSMicroservice.Application.CategoryCQ.Queries.GetAllCategoryByFilter;
public class GetAllCategoryByFilterQueryValidator : AbstractValidator<GetAllCategoryByFilterQuery>
{
    public GetAllCategoryByFilterQueryValidator()
    {
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<GetAllCategoryByFilterQuery>.CreateWithOptions((GetAllCategoryByFilterQuery)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
